<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate [formGroup]="editForm">
            <h2 id="jhi-transaksi-heading">Create or edit a Transaksi</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_nomor">Nomor</label>
                    <input type="text" class="form-control" name="nomor" id="field_nomor"
                           formControlName="nomor"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tanggal">Tanggal</label>
                    <div class="d-flex">
                        <input id="field_tanggal" type="datetime-local" class="form-control" name="tanggal" formControlName="tanggal" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_metode">Metode</label>
                    <select class="form-control" name="metode" formControlName="metode" id="field_metode">
                        <option value="TUNAI">TUNAI</option>
                        <option value="TRANSFER">TRANSFER</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_bank">Bank</label>
                    <select class="form-control" name="bank" formControlName="bank" id="field_bank">
                        <option value="BCA">BCA</option>
                        <option value="BNI">BNI</option>
                        <option value="MANDIRI">MANDIRI</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_nomorRekening">Nomor Rekening</label>
                    <input type="text" class="form-control" name="nomorRekening" id="field_nomorRekening"
                           formControlName="nomorRekening"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_virtualAccount">Virtual Account</label>
                    <input type="text" class="form-control" name="virtualAccount" id="field_virtualAccount"
                           formControlName="virtualAccount"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="SUKSES">SUKSES</option>
                        <option value="PROSES">PROSES</option>
                        <option value="GAGAL">GAGAL</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_updateBy">Update By</label>
                    <input type="text" class="form-control" name="updateBy" id="field_updateBy"
                           formControlName="updateBy"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_updateOn">Update On</label>
                    <div class="d-flex">
                        <input id="field_updateOn" type="datetime-local" class="form-control" name="updateOn" formControlName="updateOn" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_tagihan">Tagihan</label>
                    <select class="form-control" id="field_tagihan" name="tagihan" formControlName="tagihan">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="tagihanOption.id === editForm.get('tagihan')!.value?.id ? editForm.get('tagihan')!.value : tagihanOption" *ngFor="let tagihanOption of tagihans; trackBy: trackById">{{tagihanOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
